<?php if(!defined('IN_GS')){ die('you cannot load this page directly.'); }


// For conditional components

if (!function_exists('component_exists')) {
    function component_exists($id) {
        global $components;
        if (!$components) {
             if (file_exists(GSDATAOTHERPATH.'components.xml')) {
                $data = getXML(GSDATAOTHERPATH.'components.xml');
                $components = $data->item;
            } else {
                $components = array();
            }
        }
        $exists = FALSE;
        if (count($components) > 0) {
            foreach ($components as $component) {
                if ($id == $component->slug) {
                    $exists = TRUE;
                    break;
                }
            }
        }
        return $exists;
    }
}


// Single Page Template Code
// Make Custom Permalink Structure #%slug%

$content = '';
$pagesSorted = subval_sort($pagesArray,'menuOrder'); // or 'title', 'menu', 'url', ...
foreach ($pagesSorted as $page) if ($page['url']!='index' && $page['menuStatus']=='Y') {
    $pag = $page['url'];
    $content .= '

<div id="'.$pag.'" class="anchor" >
	<div class="wrapper">
		<div class="container pagecontent">
			'.returnPageContent($pag).'
		</div>
	</div>
</div>	
';
}
?>